PKG-FETCH(8)

NAME
pkg fetch - Fetches remote packages.

SYNOPSIS
pkg fetch [-r reponame] [-dgiqUxy] pkg-name [...]
pkg fetch [-r reponame] [-dqUy] -a
pkg fetch [-r reponame] [-dqUy] -u

DESCRIPTION
pkg fetch is used to download binary packages from a remote repository.

One or more packages, or patterns can be specified.

Repository catalogues will be updated automatically using pkg-update(8). This can be disabled with the -U flag.

OPTIONS
The following options are supported by pkg fetch:

-a  Fetch all packages.

-d  Fetch the package and its dependencies as well.

-g  Treat pkg-name as a shell glob pattern.

-i  Make the standard or regular expression (-x) matching against pkg-name case insensitive.

-L  Backwards compatbility flag for -U. This is planned to be removed.

-q  Quiet mode. Show less output.

-r reponame
    Fetches packages from the given reponame if multiple repo support is enabled. See pkg.conf(5).

-u  Fetch all available updates for the currently installed packages.

-U  Skip updating the repository catalogues with pkg-update(8). Use the local cache only.

-x  Treat pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-y  Assume yes when asked for confirmation before fetching packages.

ENVIRONMENT
The following environment variables affect the execution of pkg fetch:

PKG_DBDIR

See pkg.conf(5) for additional environment variables that control behaviour.

FILES
See pkg.conf(5).

SEE ALSO
fetch(3), pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)